 {{- if and .Values.managedCertificate.enabled .Values.ingress.enabled -}}
apiVersion: networking.gke.io/v1
kind: ManagedCertificate
metadata:
  name: {{ .Values.managedCertificate.name }}
  namespace: {{ .Release.Namespace | quote }}
  labels: {{- include "common.labels.standard" . | nindent 4 }}
    app.kubernetes.io/component: {{ include "common.names.fullname" $ }}
    {{- if .Values.commonLabels }}
      {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
    {{- end }}
  {{- if .Values.commonAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
  {{- end }}
spec:
  domains:
    {{- toYaml .Values.managedCertificate.domains | nindent 4 }}
{{- end }}
